fop 2.3

## org.apache.fop.fonts.type1
Class Type1SubsetFile.BinaryCoder

    java.lang.Object
      org.apache.fop.fonts.type1.Type1SubsetFile.BinaryCoder

Enclosing class:
  Type1SubsetFile

    public static class Type1SubsetFile.BinaryCoder

extends java.lang.Object

A class to encode and decode sections of a type 1 font file. See Adobe Type 1 Font Format Section 7.2 for more details.

Constructor Summary
`Type1SubsetFile.BinaryCoder()`

Method Summary
`static byte[]` `decodeBytes(byte[] in, int inR, int n)`
`static byte[]` `encodeBytes(byte[] in, int inR, int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Type1SubsetFile.BinaryCoder

    public Type1SubsetFile.BinaryCoder()

Method Detail

### decodeBytes

    public static byte[] decodeBytes(byte[] in,
                                     int inR,
                                     int n)

### encodeBytes

    public static byte[] encodeBytes(byte[] in,
                                     int inR,
                                     int n)

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.